import { Button, Tab, Tabs } from 'vant';
import { defineComponent, onMounted, reactive } from 'vue';
import styles from './index.module.less'

import { api_musicGroupFindByCooperationId, api_schoolIndexStat } from './api';
import { state } from '@/state';
import ContentItem from './contentItem';


export default defineComponent({
  name: 'home-page',
  setup() {
    const homeData = reactive({

    })
    /** 获取学校乐团列表 */
    const getMusicGroup = async () => {
      await api_musicGroupFindByCooperationId(state?.user?.data.schoolId)
    }

    
    onMounted(() => {
      getMusicGroup()
    })
    return () => (
      <div class={styles.home}>
        <Tabs class={styles.homeTab} animated swipeable lazyRender sticky>
          <Tab title="数据汇总">
            <ContentItem />
          </Tab>
          <Tab title="武汉小学乐团"></Tab>
          <Tab title="武汉小学预备团"></Tab>
          <Tab title="武汉小学标准团"></Tab>
        </Tabs>
      </div>
    );
  }
});
